import json

#####################
### Configuration ###
#####################

CONFIG = json.loads(open("/config/config.json").read())


# Colors Array
def colors():
    try:
        return json.loads(open("/config/colors.json").read())
    except:
        return None


# Foreground Color
def fg_color():
    if colors() is not None:
        fg = colors()["special"]["foreground"]
        if "colors" in CONFIG:
            if "fg" in CONFIG["colors"]:
                i = CONFIG["colors"]["fg"] - 1
                fg = colors()["colors"][f"color{i}"]
        return fg
    return None


# Background Color
def bg_color():
    if colors() is not None:
        bg = colors()["special"]["background"]
        if "colors" in CONFIG:
            if "bg" in CONFIG["colors"]:
                i = CONFIG["colors"]["bg"] - 1
                bg = colors()["colors"][f"color{i}"]
        return bg
    return None
